<script setup lang="ts">
import { ref, onMounted } from "vue";
import { useVModel } from "@vueuse/core";
import RemoteSelect from "/@/components/RemoteSelect";
import { httpSupplierlist } from "/@/api/netOrderEnter/netOrderEntry";

const props = defineProps<{
  modelValue?: string;
}>();

const emits = defineEmits(['change']);

const value = useVModel(props, "modelValue");
const RemoteSelectRef = ref<InstanceType<typeof RemoteSelect> | null>(null);

onMounted(() => {
  value.value && (RemoteSelectRef.value as any).initalData(value.value);
});

defineExpose({
  initalData: data => (RemoteSelectRef.value as any).initalData(data)
});
</script>

<template>
  <RemoteSelect
    v-model="value"
    ref="RemoteSelectRef"
    style="width: 100%"
    :api="(parameter = {}) => httpSupplierlist({ ...parameter, size: 1000 })"
    requset-prop="name"
    response-label-prop="name"
    response-val-prop="code"
    @item-change="emits('change')"
    @clear="emits('change')"
  />
</template>
